Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182143 - [69cat] Issue Reporter window does not wrap text properly in Description box.
[69cat] Issue Reporter window does not wrap text properly in Description box.
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Jan Stola
issues@connecteddeveloper
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-16 17:14 UTC by esmithbss
Modified: 2010-03-23 10:58 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of incorrect word wrapping. (66.21 KB, image/png)
2010-03-16 17:18 UTC, esmithbss
Details
patch (1.62 KB, patch)
2010-03-22 21:33 UTC, sunbiz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2010-03-16 17:14:33 UTC
Product Version = NetBeans IDE Dev (Build 201003160201)
Operating System = Linux version 2.6.32-trunk-686 running on i386
Java; VM; Vendor = 1.6.0_18
Runtime = Java HotSpot(TM) Client VM 16.0-b13

When submitting an issue, the description text-entry box does not wrap words properly when the sentence is longer than 1 line across and the word has 3 or more characters on the first line.
Comment 1 esmithbss 2010-03-16 17:18:18 UTC
Created attachment 95251 [details]
Screenshot of incorrect word wrapping.
Comment 2 sunbiz 2010-03-19 15:05:39 UTC
Should be just a simple change in the wrapStyleWord property of the addCommentArea.
Comment 3 Jiri Kovalsky 2010-03-22 13:49:25 UTC
Jindro, are you willing to review possible patch and integrate it if you consider it OK?
Comment 4 Jindrich Sedek 2010-03-22 13:55:44 UTC
this funcionality is about manual issue reporting - not the automated exception reporter reassigning to bugzilla module
Comment 5 Jan Stola 2010-03-22 15:15:00 UTC
I agree that it would be better to have text wrapped at word boundaries (in description text-field). The fix really seems to be as easy as setting wrapStyleWord property of the addCommentArea.
Comment 6 Jiri Kovalsky 2010-03-22 20:59:29 UTC
Saptarshi, wanna take this? ;-)
Comment 7 sunbiz 2010-03-22 21:33:26 UTC
Created attachment 95569 [details]
patch

seriously??
Comment 8 Jiri Kovalsky 2010-03-23 09:00:07 UTC
Honzo, it's your turn. Can you integrate this?
Comment 9 Jan Stola 2010-03-23 10:52:51 UTC
Thanks for a correct patch. I have integrated it => marking this issue as fixed.

Modified files: http://hg.netbeans.org/cdev/rev/dd5d8ead03bd
Comment 10 Jiri Kovalsky 2010-03-23 10:58:19 UTC
Thanks Honzo for integration and Saptarshi for the patch although this one was relatively easy, right? :-)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo